﻿Public Class PseutoDataRow
    Dim mFirstDecimal As Decimal
    Dim mSecondDecimal As Decimal

    Public Sub New(ByVal firstDecimal As Decimal, ByVal secondDecimal As Decimal)
        mFirstDecimal = firstDecimal
        mSecondDecimal = secondDecimal
    End Sub

    Public Property FirstDecimal As Decimal
        Get
            Return mFirstDecimal
        End Get
        Set(value As Decimal)
            If mFirstDecimal <> value Then
                mFirstDecimal = value
            End If
        End Set
    End Property

    Public Property SecondDecimal As Decimal
        Get
            Return mSecondDecimal
        End Get
        Set(value As Decimal)
            If mSecondDecimal <> value Then
                mSecondDecimal = value
            End If
        End Set
    End Property

    Public Property CombinedValue As String
        Get
            If FirstDecimal = 0D _
                AndAlso SecondDecimal = 0D Then

                Return String.Empty
            Else
                Return String.Concat(FirstDecimal, " X ", SecondDecimal)
            End If

        End Get
        Set(ByVal value As String)
            If String.IsNullOrEmpty(value) Then
                FirstDecimal = 0D
                SecondDecimal = 0D
            Else

                Dim parts As String() = Split(value, " X ", -1, CompareMethod.Text)
                Dim tmpFirstDecimal As Decimal = 0D
                Dim tmpSecondDecimal As Decimal = 0D

                If parts.Length > 0 _
                    AndAlso Decimal.TryParse(parts(0), tmpFirstDecimal) Then

                    FirstDecimal = tmpFirstDecimal
                End If

                If parts.Length >= 1 _
                    AndAlso Decimal.TryParse(parts(1), tmpSecondDecimal) Then

                    SecondDecimal = tmpSecondDecimal
                End If

            End If

        End Set
    End Property



End Class
